<?php

load_theme_textdomain('mtv');

function twitterUrl(){
	$title = get_the_title();
	$maxLength = 140 - (strlen(get_the_permalink()) + 1);
	if (strlen(get_the_title()) > $maxLength) {
		$title = substr(get_the_title(), 0, $maxLength-3 ).'...';
	}
	$twitter_url = rawurlencode($title . ' ' . get_the_permalink());
	
	return 'http://twitter.com/home?status='.$twitter_url;
}

function hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
	
   return $rgb;
}

add_theme_support( 'post-thumbnails' ); 

function register_my_menu() {
  register_nav_menu('main_menu',__( 'Main Menu' ));
}
add_action( 'init', 'register_my_menu' );

function my_special_nav_class( $classes, $item ) {

	if ( $item->object == 'page' ) {
		$template = get_page_template_slug($item->object_id);
		$template = str_replace('archive-', '', $template);
		$template = str_replace('.php', '', $template);

		if($template == 'archive'){ $template = 'post'; }

		if($template && $template == get_post_type() && !is_home() && !isset($_GET['s'])){
			$classes[] = 'current-menu-item';
			$classes[] = 'current_page_item';
		}
		else if(get_query_var('author_name') && get_query_var('author_name') == $template ){
			$classes[] = 'current-menu-item';
			$classes[] = 'current_page_item';
		}
	}

	return $classes;
}

add_filter( 'nav_menu_css_class', 'my_special_nav_class', 10, 2 );

function baw_theme_setup() {
	add_image_size( 'news_cover', 1520, 550, true );
	add_image_size( 'news_thumbnail', 620, 350, true );
	add_image_size( 'news_small', 260, 146, true );
	add_image_size( 'news_home', 958, 540, true );
}
add_action( 'after_setup_theme', 'baw_theme_setup' );

function register_proizvodi() {
 
    $labels = array(
        'name' => __( 'Proizvodi', 'mtv' ),
        'singular_name' => __( 'Proizvod', 'mtv' ),
        'add_new' => __( 'Dodaj novi', 'mtv' ),
        'add_new_item' => __( 'Dodaj novi proizvod', 'mtv' ),
        'edit_item' => __( 'Uredi proizvod', 'mtv' ),
        'new_item' => __( 'Novi proizvod', 'mtv' ),
        'view_item' => __( 'Pregledaj proizvode', 'mtv' ),
        'search_items' => __( 'Pretraži proizvode', 'mtv' ),
        'not_found' => __( 'Nije pronađen ni jedan proizvod', 'mtv' ),
        'not_found_in_trash' => __( 'Nema proizvoda u smeću', 'mtv' ),
        'parent_item_colon' => __( 'Proizvod roditelj:', 'mtv' ),
        'menu_name' => __( 'Proizvodi', 'mtv' ),
    );
 
    $args = array(
        'labels' => $labels,
        'hierarchical' => true,
        'description' => '',
        'supports' => array( 'title', 'editor', 'thumbnail'),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-admin-post',
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
		'rewrite' => array( 'slug' => __('proizvodi','mtv')),
        'capability_type' => 'post'
    );
 
    register_post_type( 'proizvodi', $args );
}
 
add_action( 'init', 'register_proizvodi' );

function proizvodi_meta_save( $post_id ) {
 
    // Checks save status
    $is_autosave = wp_is_post_autosave( $post_id );
    $is_revision = wp_is_post_revision( $post_id );
    $is_valid_nonce = ( isset( $_POST[ 'mtv_nonce' ] ) && wp_verify_nonce( $_POST[ 'mtv_nonce' ], basename( __FILE__ ) ) ) ? 'true' : 'false';
 
    // Exits script depending on save status
    if ( $is_autosave || $is_revision || !$is_valid_nonce ) {
        return;
    }
 
    // Checks for input and sanitizes/saves if needed
	if( isset( $_POST['subtitle'] ) )
        update_post_meta( $post_id, 'subtitle', esc_attr( $_POST['subtitle'] ) );
	if( isset( $_POST['soon'] ) )
        update_post_meta( $post_id, 'soon', esc_attr( $_POST['soon'] ) );
	if( isset( $_POST['cover'] ) )
        update_post_meta( $post_id, 'cover', esc_attr( $_POST['cover'] ) );
	if( isset( $_POST['can'] ) )
        update_post_meta( $post_id, 'can', esc_attr( $_POST['can'] ) );
	if( isset( $_POST['archive-bg'] ) )
        update_post_meta( $post_id, 'archive-bg', esc_attr( $_POST['archive-bg'] ) );
	
	if( isset( $_POST['label1'] ) )
        update_post_meta( $post_id, 'label1', esc_attr( $_POST['label1'] ) );
	if( isset( $_POST['label1color'] ) ){
		update_post_meta( $post_id, 'label1color', esc_attr( $_POST['label1color'] ) );
		$color = hex2rgb($_POST['label1color']);
		
		$gradient = 'background: '.$_POST['label1color'].';
			background: -moz-linear-gradient(left,  rgba('.$color[0].','.$color[1].','.$color[2].',1) 30%, rgba('.$color[0].','.$color[1].','.$color[2].',0.8) 100%);
			background: -webkit-linear-gradient(left,  rgba'.$color[0].','.$color[1].','.$color[2].',1) 30%,rgba('.$color[0].','.$color[1].','.$color[2].',0.8) 100%);
			background: linear-gradient(to right,  rgba('.$color[0].','.$color[1].','.$color[2].',1) 30%,rgba('.$color[0].','.$color[1].','.$color[2].',0.8) 100%);
		';
		update_post_meta( $post_id, 'label1rgba', $gradient);
	}
	
	if( isset( $_POST['label2'] ) )
        update_post_meta( $post_id, 'label2', esc_attr( $_POST['label2'] ) );
	if( isset( $_POST['label2color'] ) ){
		update_post_meta( $post_id, 'label2color', esc_attr( $_POST['label2color'] ) );
		$color = hex2rgb($_POST['label2color']);
		
		$gradient = 'background: '.$_POST['label2color'].';
			background: -moz-linear-gradient(left,  rgba('.$color[0].','.$color[1].','.$color[2].',1) 30%, rgba('.$color[0].','.$color[1].','.$color[2].',0.8) 100%);
			background: -webkit-linear-gradient(left,  rgba'.$color[0].','.$color[1].','.$color[2].',1) 30%,rgba('.$color[0].','.$color[1].','.$color[2].',0.8) 100%);
			background: linear-gradient(to right,  rgba('.$color[0].','.$color[1].','.$color[2].',1) 30%,rgba('.$color[0].','.$color[1].','.$color[2].',0.8) 100%);
		';
		update_post_meta( $post_id, 'label2rgba', $gradient);
	}
	
	if( isset( $_POST['label3'] ) )
        update_post_meta( $post_id, 'label3', esc_attr( $_POST['label3'] ) );
	if( isset( $_POST['label3color'] ) ){
		update_post_meta( $post_id, 'label3color', esc_attr( $_POST['label3color'] ) );
		$color = hex2rgb($_POST['label3color']);
		
		$gradient = 'background: '.$_POST['label3color'].';
			background: -moz-linear-gradient(left,  rgba('.$color[0].','.$color[1].','.$color[2].',1) 30%, rgba('.$color[0].','.$color[1].','.$color[2].',0.8) 100%);
			background: -webkit-linear-gradient(left,  rgba'.$color[0].','.$color[1].','.$color[2].',1) 30%,rgba('.$color[0].','.$color[1].','.$color[2].',0.8) 100%);
			background: linear-gradient(to right,  rgba('.$color[0].','.$color[1].','.$color[2].',1) 30%,rgba('.$color[0].','.$color[1].','.$color[2].',0.8) 100%);
		';
		update_post_meta( $post_id, 'label3rgba', $gradient);
	}
	
}
add_action( 'save_post', 'proizvodi_meta_save' );

function proizvodi_meta_callback( $post ) {
    wp_nonce_field( basename( __FILE__ ), 'mtv_nonce' );
    $meta = get_post_meta( $post->ID );
	
    ?>
	<style>
		.forma label{
			display:inline-block;
			width:140px;
			vertical-align: top;
		}

		.forma input{
			width:150px;
		}

		.forma span{
				display:inline-block;
		}
		.p{
			font-size: 13px;
			line-height: 1.5;
			margin: 1em 0;
		}
		.cover img{
			margin-top: 10px;
			margin-left: 140px;
			height: 250px;
		}
		.can img{
			margin-top: 10px;
			margin-left: 140px;
			height: 250px;
		}
		.archive-bg img{
			margin-top: 10px;
			margin-left: 140px;
			height: 250px;
		}
	</style>
	<div class="forma">
		<p>
			<label for="subtitle"><?php _e('Podnaslov','mtv') ?></label>
			<input id="subtitle" name="subtitle" type="text" value="<?php if($meta['subtitle']){ echo $meta['subtitle'][0]; } ?>" />
		</p>
		<p>
			<label for="soon"><?php _e('Dolazi uskoro','mtv') ?></label>
			<input id="soon" name="soon" type="checkbox" value="1" <?php if($meta['soon'][0] == 1){ echo 'checked="checked"'; } ?> />
		</p>
		<div class="p">
			<label for="cover">Cover</label>
			<input name="cover" id="cover" type="hidden" value="<?php if ( isset ( $meta['cover'] ) ) echo $meta['cover'][0]; ?>"/>
			<button class="add-cover" type="button"><?php _e('Dodaj sliku','mtv') ?></button> <?php _e('Preporučena veličina 1520x550','mtv') ?>
			<div class="cover">
				<?php $image = wp_get_attachment_url($meta['cover'][0]); ?>
				<?php if($image): ?>
					<img src="<?php echo $image; ?>" alt=""/>
				<?php endif; ?>
			</div>
		</div>
		<div class="p">
			<label for="archive-bg"><?php _e('Pozadina (arhiva)','mtv') ?></label>
			<input name="archive-bg" id="archive-bg" type="hidden" value="<?php if ( isset ( $meta['archive-bg'] ) ) echo $meta['archive-bg'][0]; ?>"/>
			<button class="add-bg" type="button"><?php _e('Dodaj sliku','mtv') ?></button> <?php _e('Preporučena veličina 830 x 604','mtv') ?>
			<div class="archive-bg">
				<?php $image = wp_get_attachment_url($meta['archive-bg'][0]); ?>
				<?php if($image): ?>
					<img src="<?php echo $image; ?>" alt=""/>
				<?php endif; ?>
			</div>
		</div>
		<div class="p">
			<label for="can"><?php _e('Limenka','mtv') ?></label>
			<input name="can" id="can" type="hidden" value="<?php if ( isset ( $meta['can'] ) ) echo $meta['can'][0]; ?>"/>
			<button class="add-can" type="button"><?php _e('Dodaj sliku','mtv') ?></button>
			<div class="can">
				<?php $image = wp_get_attachment_url($meta['can'][0]); ?>
				<?php if($image): ?>
					<img src="<?php echo $image; ?>" alt=""/>
				<?php endif; ?>
			</div>
		</div>
		<p>
			<label for="label1">Label 1</label>
			<input id="label1" name="label1" type="text" value="<?php if($meta['label1']){ echo $meta['label1'][0]; } ?>" />
		</p>
		<p>
			<label for="label1color">Label 1 (<?php _e('boja','mtv'); ?>)</label>
			<input id="label1color" name="label1color" type="color" value="<?php if($meta['label1color']){ echo $meta['label1color'][0]; } ?>" />
		</p>
		<p>
			<label for="label2">Label 2</label>
			<input id="label2" name="label2" type="text" value="<?php if($meta['label2']){ echo $meta['label2'][0]; } ?>" />
		</p>
		<p>
			<label for="label2color">Label 2 (<?php _e('boja','mtv'); ?>)</label>
			<input id="label2color" name="label2color" type="color" value="<?php if($meta['label2color']){ echo $meta['label2color'][0]; } ?>" />
		</p>
		<p>
			<label for="label3">Label 3</label>
			<input id="label3" name="label3" type="text" value="<?php if($meta['label3']){ echo $meta['label3'][0]; } ?>" />
		</p>
		<p>
			<label for="label3color">Label 3 (<?php _e('boja','mtv'); ?>)</label>
			<input id="label3color" name="label3color" type="color" value="<?php if($meta['label3color']){ echo $meta['label3color'][0]; } ?>" />
		</p>
	</div>
	<script>
		var meta_image_frame;
		jQuery('.add-cover').click(function(e){
				
			e.preventDefault();
			
			if ( meta_image_frame ) {
				meta_image_frame.open();
				return;
			}

			// Sets up the media library frame
			meta_image_frame = wp.media.frames.meta_image_frame = wp.media({
				title: '<?php _e('Dodaj ili uploadaj sliku','mtv') ?>',
				button: { text:  '<?php _e('Dodaj sliku','mtv') ?>' },
				library: { type: 'image' }
			});

			// Runs when an image is selected.
			meta_image_frame.on('select', function(){

				// Grabs the attachment selection and creates a JSON representation of the model.
				var media_attachment = meta_image_frame.state().get('selection').first().toJSON();
				

				// Sends the attachment URL to our custom image input field.
				jQuery('.cover').html('<img src="'+media_attachment.url+'" alt="" />');
				jQuery('#cover').val(media_attachment.id);
			});

			// Opens the media library frame.
			meta_image_frame.open();
		});
		
		var meta_image_frame2;
		jQuery('.add-can').click(function(e){
				
			e.preventDefault();
			
			if ( meta_image_frame2 ) {
				meta_image_frame2.open();
				return;
			}

			// Sets up the media library frame
			meta_image_frame2 = wp.media.frames.meta_image_frame = wp.media({
				title: '<?php _e('Dodaj ili uploadaj sliku','mtv') ?>',
				button: { text:  '<?php _e('Dodaj sliku','mtv') ?>' },
				library: { type: 'image' }
			});

			// Runs when an image is selected.
			meta_image_frame2.on('select', function(){

				// Grabs the attachment selection and creates a JSON representation of the model.
				var media_attachment = meta_image_frame2.state().get('selection').first().toJSON();
				

				// Sends the attachment URL to our custom image input field.
				jQuery('.can').html('<img src="'+media_attachment.url+'" alt="" />');
				jQuery('#can').val(media_attachment.id);
			});

			// Opens the media library frame.
			meta_image_frame2.open();
		});
		
		var meta_image_frame3;
		jQuery('.add-bg').click(function(e){
				
			e.preventDefault();
			
			if ( meta_image_frame3 ) {
				meta_image_frame3.open();
				return;
			}

			// Sets up the media library frame
			meta_image_frame3 = wp.media.frames.meta_image_frame = wp.media({
				title: '<?php _e('Dodaj ili uploadaj sliku','mtv') ?>',
				button: { text:  '<?php _e('Dodaj sliku','mtv') ?>' },
				library: { type: 'image' }
			});

			// Runs when an image is selected.
			meta_image_frame3.on('select', function(){

				// Grabs the attachment selection and creates a JSON representation of the model.
				var media_attachment = meta_image_frame3.state().get('selection').first().toJSON();
				

				// Sends the attachment URL to our custom image input field.
				jQuery('.archive-bg').html('<img src="'+media_attachment.url+'" alt="" />');
				jQuery('#archive-bg').val(media_attachment.id);
			});

			// Opens the media library frame.
			meta_image_frame3.open();
		});
	</script>
	<?php
}
function proizvodi_custom_meta() {
    add_meta_box( 'proizvodi_metabox', __('Dodatne opcije','mtv'), 'proizvodi_meta_callback', 'proizvodi', 'normal', 'high' );
}
add_action( 'add_meta_boxes', 'proizvodi_custom_meta' );

function post_meta_save( $post_id ) {
 
    // Checks save status
    $is_autosave = wp_is_post_autosave( $post_id );
    $is_revision = wp_is_post_revision( $post_id );
    $is_valid_nonce = ( isset( $_POST[ 'mtv_nonce' ] ) && wp_verify_nonce( $_POST[ 'mtv_nonce' ], basename( __FILE__ ) ) ) ? 'true' : 'false';
 
    // Exits script depending on save status
    if ( $is_autosave || $is_revision || !$is_valid_nonce ) {
        return;
    }
 
    // Checks for input and sanitizes/saves if needed
    if( isset( $_POST['lokacija'] ) )
        update_post_meta( $post_id, 'lokacija', esc_attr( $_POST['lokacija'] ) );
	if( isset( $_POST['cover'] ) )
        update_post_meta( $post_id, 'cover', esc_attr( $_POST['cover'] ) );
	
	$curLang = get_blog_option(get_current_blog_id(), 'msls');
	
	if($curLang['description'] == 'UK'){
		remove_action('save_post', 'post_meta_save');
		
		$post = get_post($post_id);
		$cover_img = get_post_meta($_POST['cover'], '_wp_attached_file', true);
		$thumb_img = get_post_meta(get_post_meta($post_id, '_thumbnail_id', true), '_wp_attached_file', true);
		$upload_dir = wp_upload_dir();
		$cover_path = $upload_dir['basedir'].'/'.$cover_img;
		$thumb_path = $upload_dir['basedir'].'/'.$thumb_img;
		
		$sites = get_sites();

		foreach($sites as $site){
			$name = get_blog_option($site->blog_id, 'blogname');
			$lang = get_blog_option($site->blog_id, 'msls');

			if($lang['description'] != 'UK'){
				switch_to_blog($site->blog_id);
				
				$upload_dir2 = wp_upload_dir();
				$cover_dest_path = $upload_dir2['basedir'].'/'.$cover_img;
				$thumb_dest_path = $upload_dir2['basedir'].'/'.$thumb_img;
				
				if(!file_exists ($cover_dest_path)){
					copy($cover_path, $cover_dest_path);
				}
				if(!file_exists ($thumb_dest_path)){
					copy($thumb_path, $thumb_dest_path);
				}
				
				$cover_posts = get_posts(array(
					'posts_per_page'   => 1,
					'meta_key'         => '_wp_attached_file',
					'meta_value'       => $cover_img,
					'post_type'        => 'attachment',
					'post_status'      => 'inherit'
				));
				$cover_dest_id = 0;
				foreach($cover_posts as $cover_post){
					$cover_dest_id = $cover_post->ID;
				}
				if(!$cover_dest_id){
					$fileName = wp_basename($cover_dest_path);
					$wp_filetype = wp_check_filetype($fileName, null );
					$attachment = array(
						'guid' => $upload_dir2['baseurl'].'/'.$cover_img, 
						'post_mime_type' => $wp_filetype['type'],
						'post_title' => sanitize_file_name($fileName),
						'post_content' => '',
						'post_status' => 'inherit'
					);

					$attach_id = wp_insert_attachment( $attachment, $cover_dest_path, $parent_post_id );
					$attach_data = wp_generate_attachment_metadata( $attach_id, $cover_dest_path);
					wp_update_attachment_metadata( $attach_id,  $attach_data );
					
					$cover_dest_id = $attach_id;
				}
				
				$thumb_posts = get_posts(array(
					'posts_per_page'   => 1,
					'meta_key'         => '_wp_attached_file',
					'meta_value'       => $thumb_img,
					'post_type'        => 'attachment',
					'post_status'      => 'inherit'
				));
				$thumb_dest_id = 0;
				foreach($thumb_posts as $thumb_post){
					$thumb_dest_id = $thumb_post->ID;
				}
				if(!$thumb_dest_id){
					$fileName = wp_basename($thumb_dest_path);
					$wp_filetype = wp_check_filetype($fileName, null );
					$attachment = array(
						'guid' => $upload_dir2['baseurl'].'/'.$thumb_img, 
						'post_mime_type' => $wp_filetype['type'],
						'post_title' => sanitize_file_name($fileName),
						'post_content' => '',
						'post_status' => 'inherit'
					);

					$attach_id = wp_insert_attachment( $attachment, $thumb_dest_path, $parent_post_id );
					$attach_data = wp_generate_attachment_metadata( $attach_id, $thumb_dest_path);
					wp_update_attachment_metadata( $attach_id,  $attach_data );
					
					$thumb_dest_id = $attach_id;
				}
				
				$args = array(
					'posts_per_page'   => 1,
					'meta_key'         => 'original_id',
					'meta_value'       => $post_id,
					'post_type'        => 'post',
					'post_status'      => array('publish', 'future', 'draft', 'pending', 'private', 'trash')
				);
				$wp_posts = get_posts( $args );
				
				$wp_id = 0;
				foreach($wp_posts as $wp_post){
					$wp_id = $wp_post->ID;
				}
				
				if(!$wp_id){
					
					$my_post = array(
					  	'post_title'    => $post->post_title,
						'post_date'     => $post->post_date,
					  	'post_content'  => $post->post_content,
					  	'post_status'   => 'draft',
						'post_type'     => 'post',
						'meta_input'    => array(
							'original_id' => $post_id,
							'edited'      => 0,
							'lokacija'    => $_POST['lokacija']
						)
					);

					$wp_id = wp_insert_post( $my_post );
					
					update_post_meta($wp_id, 'cover', $cover_dest_id);
					update_post_meta($wp_id, '_thumbnail_id', $thumb_dest_id);
				}
				else if(get_post_meta($wp_id, 'edited', true) == 0){
					$my_post = array(
						'ID'            => $wp_id,
					  	'post_title'    => $post->post_title,
					  	'post_content'  => $post->post_content,
					  	'post_status'   => 'draft',
						'meta_input'    => array(
							'lokacija'    => $_POST['lokacija']
						)
					);
					
					wp_update_post( $my_post );
					
					update_post_meta($wp_id, 'cover', $cover_dest_id);
					update_post_meta($wp_id, '_thumbnail_id', $thumb_dest_id);
				}
				restore_current_blog();
			}
		}

		add_action( 'save_post', 'post_meta_save' );
	}
	else{
		if(isset($_POST['lokacija']))
		 	update_post_meta( $post_id, 'edited', 1);
	}
}
add_action( 'save_post', 'post_meta_save' );

function post_meta_callback( $post ) {
    wp_nonce_field( basename( __FILE__ ), 'mtv_nonce' );
    $meta = get_post_meta( $post->ID );
	
    ?>
	<style>
		.forma label{
			display:inline-block;
			width:140px;
			vertical-align: top;
		}

		.forma input{
			width:150px;
		}

		.forma span{
				display:inline-block;
		}
		.p{
			font-size: 13px;
			line-height: 1.5;
			margin: 1em 0;
		}
		.cover img{
			margin-top: 10px;
			margin-left: 140px;
			height: 250px;
		}
	</style>
	<div class="forma">
		<?php $sites = get_sites(); ?>
		<p>
			<label for="lokacija"><?php _e('Lokacija','mtv') ?></label>
			<select id="lokacija" name="lokacija">
				<?php foreach($sites as $site): ?>
					<?php 
						$name = get_blog_option($site->blog_id, 'blogname');
						$lang = get_blog_option($site->blog_id, 'msls');
					?>
					<option <?php if($meta['lokacija'][0] == $site->blog_id){ echo 'selected="selected"'; } ?> value="<?php echo $site->blog_id; ?>"><?php echo $name; ?></option>
				<?php endforeach; ?>
			</select>
		</p>
		<div class="p">
			<label for="cover">Cover</label>
			<input name="cover" id="cover" type="hidden" value="<?php if ( isset ( $meta['cover'] ) ) echo $meta['cover'][0]; ?>"/>
			<button class="add-cover" type="button"><?php _e('Dodaj sliku','mtv') ?></button> <?php _e('Preporučena veličina 1520x550','mtv') ?>
			<div class="cover">
				<?php $image = wp_get_attachment_url($meta['cover'][0]); ?>
				<?php if($image): ?>
					<img src="<?php echo $image; ?>" alt=""/>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<script>
		var meta_image_frame;
		jQuery('.add-cover').click(function(e){
				
			e.preventDefault();
			
			if ( meta_image_frame ) {
				meta_image_frame.open();
				return;
			}

			// Sets up the media library frame
			meta_image_frame = wp.media.frames.meta_image_frame = wp.media({
				title: '<?php _e('Dodaj ili uploadaj sliku','mtv') ?>',
				button: { text:  '<?php _e('Dodaj sliku','mtv') ?>' },
				library: { type: 'image' }
			});

			// Runs when an image is selected.
			meta_image_frame.on('select', function(){

				// Grabs the attachment selection and creates a JSON representation of the model.
				var media_attachment = meta_image_frame.state().get('selection').first().toJSON();
				

				// Sends the attachment URL to our custom image input field.
				jQuery('.cover').html('<img src="'+media_attachment.url+'" alt="" />');
				jQuery('#cover').val(media_attachment.id);
			});

			// Opens the media library frame.
			meta_image_frame.open();
		});
	</script>
	<?php
}
function post_custom_meta() {
    add_meta_box( 'post_metabox', __('Dodatne opcije','mtv'), 'post_meta_callback', 'post', 'normal', 'high' );
}
add_action( 'add_meta_boxes', 'post_custom_meta' );


function page_meta_save( $post_id ) {
 
    // Checks save status
    $is_autosave = wp_is_post_autosave( $post_id );
    $is_revision = wp_is_post_revision( $post_id );
    $is_valid_nonce = ( isset( $_POST[ 'mtv_nonce' ] ) && wp_verify_nonce( $_POST[ 'mtv_nonce' ], basename( __FILE__ ) ) ) ? 'true' : 'false';
 
    // Exits script depending on save status
    if ( $is_autosave || $is_revision || !$is_valid_nonce ) {
        return;
    }
 
    // Checks for input and sanitizes/saves if needed
    if( isset( $_POST['opis'] ) )
        update_post_meta( $post_id, 'opis', esc_attr( $_POST['opis'] ) );
	
	if( isset( $_POST['title_distributer'] ) )
        update_post_meta( $post_id, 'title_distributer', esc_attr( $_POST['title_distributer'] ) );
	if( isset( $_POST['subtitle_distributer'] ) )
        update_post_meta( $post_id, 'subtitle_distributer', esc_attr( $_POST['subtitle_distributer'] ) );
	if( isset( $_POST['title_agrokor'] ) )
        update_post_meta( $post_id, 'title_agrokor', esc_attr( $_POST['title_agrokor'] ) );
	if( isset( $_POST['subtitle_agrokor'] ) )
        update_post_meta( $post_id, 'subtitle_agrokor', esc_attr( $_POST['subtitle_agrokor'] ) );
	
	if($_POST['opis_distributer']){
		 update_post_meta( $post_id, 'opis_distributer', stripslashes(wp_filter_post_kses(addslashes($_POST['opis_distributer']))));
	}
	if($_POST['opis_agrokor']){
		 update_post_meta( $post_id, 'opis_agrokor', stripslashes(wp_filter_post_kses(addslashes($_POST['opis_agrokor']))));
	}
	if($_POST['kontakt_agrokor']){
		 update_post_meta( $post_id, 'kontakt_agrokor', stripslashes(wp_filter_post_kses(addslashes($_POST['kontakt_agrokor']))));
	}
	
}
add_action( 'save_post', 'page_meta_save' );

function page_meta_callback( $post ) {
    wp_nonce_field( basename( __FILE__ ), 'mtv_nonce' );
    $meta = get_post_meta( $post->ID );
	
	$page_template = get_post_meta( $post->ID, '_wp_page_template', true );
	
    ?>
	<style>
		.forma label{
			display:inline-block;
			width:140px;
			vertical-align: top;
		}

		.forma input{
			width:150px;
		}

		.forma span{
				display:inline-block;
		}
		.p{
			font-size: 13px;
			line-height: 1.5;
			margin: 1em 0;
		}
		.cover img{
			margin-top: 10px;
			margin-left: 140px;
			height: 250px;
		}
	</style>
	<div class="forma">
		<?php if($page_template == 'kontakt.php'): ?>
			<p>
				<label for="opis"><?php _e('Kratki opis','mtv') ?></label>
				<textarea id="opis" name="opis" cols="60" rows="4"><?php if($meta['opis']){ echo $meta['opis'][0]; } ?></textarea>
			</p>
		<?php endif; ?>
		<?php if($page_template == 'o-nama.php'): ?>
			<p>
				<label for="title_distributer"><?php _e('Naslov distributer','mtv') ?></label>
				<input id="title_distributer" name="title_distributer" type="text" value="<?php if($meta['title_distributer']){ echo $meta['title_distributer'][0]; } ?>" />
			</p>
			<p>
				<label for="subtitle_distributer"><?php _e('Naslov distributer','mtv') ?></label>
				<input id="subtitle_distributer" name="subtitle_distributer" type="text" value="<?php if($meta['subtitle_distributer']){ echo $meta['subtitle_distributer'][0]; } ?>" />
			</p>
			<?php
				$settings = array(
					'textarea_rows' => 5,
					'tabindex' => 1
				);
				wp_editor(get_post_meta($post->ID, 'opis_distributer', true), 'opis_distributer', $settings);
			?>
			<p>
				<label for="title_agrokor"><?php _e('Naslov','mtv') ?> Agrokor</label>
				<input id="title_agrokor" name="title_agrokor" type="text" value="<?php if($meta['title_agrokor']){ echo $meta['title_agrokor'][0]; } ?>" />
			</p>
			<p>
				<label for="subtitle_agrokor"><?php _e('Podnaslov','mtv') ?> Agrokor</label>
				<input id="subtitle_agrokor" name="subtitle_agrokor" type="text" value="<?php if($meta['subtitle_agrokor']){ echo $meta['subtitle_agrokor'][0]; } ?>" />
			</p>
			<?php
				$settings = array(
					'textarea_rows' => 5,
					'tabindex' => 1
				);
				wp_editor(get_post_meta($post->ID, 'opis_agrokor', true), 'opis_agrokor', $settings);
			?>
			<p>Kontakt Agrokor</p>
			<?php
				$settings = array(
					'textarea_rows' => 5,
					'tabindex' => 1
				);
				wp_editor(get_post_meta($post->ID, 'kontakt_agrokor', true), 'kontakt_agrokor', $settings);
			?>
		<?php endif; ?>
	</div>
	<?php
}
function page_custom_meta() {
	global $post;
	
	$page_template = get_post_meta( $post->ID, '_wp_page_template', true );

	if ( 'kontakt.php' == $page_template || 'o-nama.php' == $page_template) {
		add_meta_box( 'page_metabox', 'Dodatne opcije', 'page_meta_callback', 'page', 'normal', 'high' );
	}
}
add_action( 'add_meta_boxes', 'page_custom_meta' );

function theme_options() {

?>
	<div class="wrap">
		<h2><?php _e('Postavke teme','mtv'); ?></h2>
		<?php
			if (isset($_POST["update_settings"])) {

				update_option("facebook", esc_attr($_POST["facebook"]));
				update_option("instagram", esc_attr($_POST["instagram"]));
				update_option("google+", esc_attr($_POST["google+"]));

				?>
				<div id="message" class="updated"><?php _e('Postavke spremljene','mtv'); ?></div>
				<?php 
			}
		?>
		<form method="POST" action="">
			<table class="form-table">
				<tr valign="top">
					<th scope="row">
						<label for="facebook">Facebook:</label>
					</th>
					<td>
						<input name="facebook" type="text" value="<?php echo get_option("facebook"); ?>" />
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="instagram">Instagram:</label>
					</th>
					<td>
						<input name="instagram" type="text" value="<?php echo get_option("instagram"); ?>" />
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="google+">Google+:</label>
					</th>
					<td>
						<input name="google+" type="text" value="<?php echo get_option("google+"); ?>" />
					</td>
				</tr>
			</table>
			<p>
				<input type="hidden" name="update_settings" value="Y" />
				<input type="submit" value="<?php _e('Spremi postavke','mtv'); ?>" class="button-primary"/>
			</p>
		</form>
	</div>
	<?php
}
function setup_theme_admin_menus() {
	add_submenu_page('themes.php',
		__('Postavke teme','mtv'), __('Postavke teme','mtv'), 'manage_options',
		'theme-options', 'theme_options');
}
add_action("admin_menu", "setup_theme_admin_menus");
?>