<?php get_header(); ?>
<div class="single-news">
	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>
			<div class="cover">
				<?php echo $cover = wp_get_attachment_image(get_post_meta($post->ID, 'cover', true), 'news_cover'); ?>
				<?php
					$templates = get_pages(array(
						'meta_key' => '_wp_page_template',
						'meta_value' => 'archive.php'
					));
					foreach($templates as $template){
						$template_id = $template->ID;
						$arhiva_url = get_permalink($template_id);
					}
				?>
				<a class="back" href="<?php echo $arhiva_url; ?>"><?php echo _e( 'povratak na popis', 'mtv' ); ?></a>
				<div class="caption">
					<h1 class="title"><?php the_title(); ?></h1>
					<?php 
						$name = get_blog_option(get_post_meta($post->ID, 'lokacija', true), 'blogname');
						$langArr = get_blog_option(get_post_meta($post->ID, 'lokacija', true), 'msls');

						$tmp = explode('_', $langArr['admin_language']);
						$lang = strtolower( $tmp[sizeof($tmp)-1] );
					?>
					<span class="lang">
						<img src="<?php echo site_url(); ?>/wp-content/plugins/multisite-language-switcher/flags/<?php echo $lang; ?>.png" alt="" />
						MTV UP!, <?php the_date('d.m.Y.'); ?>
					</span>
				</div>
			</div>
			<div class="social">
				<a class="facebook" data-ga="social" data-ga-network="Facebook" data-ga-action="Share" href="javascript: postWindow('<?php the_permalink(); ?>')"></a>
				<a class="twitter" data-ga="social" data-ga-network="Twitter" data-ga-action="Share" href="javascript: openWindow('<?php echo twitterUrl(); ?>')"></a>
				<a class="google" data-ga="social" data-ga-network="Google+" data-ga-action="Share" href="javascript: plusWindow('<?php the_permalink(); ?>')"></a>
			</div>
			<div class="content">
				<?php the_content(); ?>
			</div>
			<div class="more-news">
				<div class="row">
					<div class="column prev">
						<?php $prev = get_previous_post(); ?>
						<?php if (!empty($prev)): ?>
							<a href="<?php the_permalink($prev->ID); ?>">
								<?php echo get_the_post_thumbnail($prev, 'news_small'); ?>
								<span class="title"><?php echo $prev->post_title; ?></span>
								<?php 
									$name = get_blog_option(get_post_meta($prev->ID, 'lokacija', true), 'blogname');
									$langArr = get_blog_option(get_post_meta($prev->ID, 'lokacija', true), 'msls');

									$tmp = explode('_', $langArr['admin_language']);
									$lang = strtolower( $tmp[sizeof($tmp)-1] );
								?>
								<span class="lang">
									<img src="<?php echo site_url(); ?>/wp-content/plugins/multisite-language-switcher/flags/<?php echo $lang; ?>.png" alt="" />
									<?php echo $name; ?>, <?php echo date('d.m.Y.', strtotime($prev->post_date)); ?>
								</span>
								<span class="clr"></span>
							</a>
						<?php endif; ?>
					</div>
					<div class="column next">
						<?php $next = get_next_post();  ?>
						<?php if (!empty($next)): ?>
							<a href="<?php the_permalink($next->ID); ?>">
								<?php echo get_the_post_thumbnail($next, 'news_small'); ?>
								<span class="title"><?php echo $next->post_title; ?></span>
								<?php 
									$name = get_blog_option(get_post_meta($next->ID, 'lokacija', true), 'blogname');
									$langArr = get_blog_option(get_post_meta($next->ID, 'lokacija', true), 'msls');

									$tmp = explode('_', $langArr['admin_language']);
									$lang = strtolower( $tmp[sizeof($tmp)-1] );
								?>
								<span class="lang">
									<img src="<?php echo site_url(); ?>/wp-content/plugins/multisite-language-switcher/flags/<?php echo $lang; ?>.png" alt="" />
									<?php echo $name; ?>, <?php echo date('d.m.Y.', strtotime($next->post_date)); ?>
								</span>
								<span class="clr"></span>
							</a>
						<?php endif; ?>
					</div>
				</div>
			</div>
		<?php endwhile; ?>
	<?php endif; ?>
</div>
<?php get_footer(); ?>